//---------------------------------------------------------------------------

#ifndef CarbaseH
#define CarbaseH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TCarMain : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TEdit *edSPZ;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *edTyp;
        TEdit *edZnacka;
        TLabel *Label4;
        TEdit *edFarba;
        TMainMenu *MainMenu1;
        TMenuItem *Sbor1;
        TMenuItem *OtvorSubor;
        TMenuItem *UlozSubor;
        TMenuItem *Koniec;
        TToolBar *ToolBar1;
        TMemo *mePrislus;
        TOpenDialog *dlgOtvorSubor;
        TSaveDialog *dlgUlozSubor;
        TGroupBox *grpbStav;
        TEdit *edMotorState;
        TEdit *edChassisState;
        TEdit *edInteriorState;
        TEdit *edElBelongState;
        TEdit *edGearboxState;
        TEdit *edWheelsState;
        TEdit *edCoolingState;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TEdit *edPocVoz;
        TEdit *edPoradie;
        TLabel *Label12;
        TLabel *Label13;
        TButton *btPrevCar;
        TButton *btNextCar;
        TLabel *Label14;
        TProgressBar *prgPriebeh;
        TMenuItem *Help;
        TMenuItem *About;
        TMenuItem *Nstroje;
        TMenuItem *Preview;
        TMenuItem *ShellSort;
        TMenuItem *Gendata;
        TMenuItem *Nastavenia;
        TMenuItem *Vseob;
        TMenuItem *AddCar;
        TMenuItem *FindVehicle;
        void __fastcall KoniecClick(TObject *Sender);
        void __fastcall OtvorSuborClick(TObject *Sender);
        void __fastcall UlozSuborClick(TObject *Sender);
        void __fastcall VseobClick(TObject *Sender);
        void __fastcall btNextCarClick(TObject *Sender);
        void __fastcall btPrevCarClick(TObject *Sender);
        void __fastcall GendataClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall AboutClick(TObject *Sender);
        void __fastcall PreviewClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall dlgUlozSuborCanClose(TObject *Sender,
          bool &CanClose);
        void __fastcall ShellSortClick(TObject *Sender);
        void __fastcall dlgOtvorSuborCanClose(TObject *Sender,
          bool &CanClose);
        void __fastcall AddCarClick(TObject *Sender);
        void __fastcall FindVehicleClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TCarMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TCarMain *CarMain;
//---------------------------------------------------------------------------
#endif
