
#include "Vehicle.h"

//---------------------------------------------------------------------------
Vehicle::Vehicle()
{
   this->SPZ = "";
   this->Type = "";
   this->Mark = "";
   this->Colour = "";
   this->MotorState = '0';
   this->ChassisState = '0';
   this->InteriorState = '0';
   this->ElBelongState = '0';
   this->GearboxState = '0';
   this->WheelsState = '0';
   this->CoolingState = '0';
   this->NoteBelongings = '0';
   this->Index = 0;
   this->NextVehicle = NULL;
   this->LeftSon = NULL;
   this->RightSon = NULL;
}
//---------------------------------------------------------------------------
void Vehicle::setVehicle(char StrProp[5][256], char *StateProp)
{
   SPZ = StrProp[0];
   Type = StrProp[1];
   Mark = StrProp[2];
   Colour = StrProp[3];
   MotorState = StateProp[0];
   ChassisState = StateProp[1];
   InteriorState = StateProp[2];
   ElBelongState = StateProp[3];
   GearboxState = StateProp[4];
   WheelsState = StateProp[5];
   CoolingState = StateProp[6];
   NoteBelongings = StrProp[4];
}
//---------------------------------------------------------------------------
void Vehicle::setNextVehicle(Vehicle *NextVehicle)
{
   this->NextVehicle = NextVehicle;
}
//---------------------------------------------------------------------------
void Vehicle::getVehicle(char StrProp[5][256], char *StateProp)
{
   int i=0;

   //Kopiruje SPZ
   while(SPZ[i] != '\0')
     {
        StrProp[0][i] = SPZ[i];
        i++;
     }
   StrProp[0][i] = '\0';

   //Kopiruje typ
   i=0;
   while(Type[i] != '\0')
     {
        StrProp[1][i] = Type[i];
        i++;
     }
   StrProp[1][i] = '\0';

   //Kopiruje znacku
   i=0;
   while(Mark[i] != '\0')
     {
        StrProp[2][i] = Mark[i];
        i++;
     }
   StrProp[2][i] = '\0';

   //Kopiruje farbu
   i=0;
   while(Colour[i] != '\0')
     {
        StrProp[3][i] = Colour[i];
        i++;
     }
   StrProp[3][i] = '\0';

   StateProp[0] = MotorState;
   StateProp[1] = ChassisState;
   StateProp[2] = InteriorState;
   StateProp[3] = ElBelongState;
   StateProp[4] = GearboxState;
   StateProp[5] = WheelsState;
   StateProp[6] = CoolingState;

   //Kopiruje poznamku
   i=0;
   while(NoteBelongings[i] != '\0')
     {
        StrProp[4][i] = NoteBelongings[i];
        i++;
     }
   StrProp[4][i] = '\0';
}
//---------------------------------------------------------------------------
Vehicle *Vehicle::getNextVehicle()
{
   return NextVehicle;
}
//---------------------------------------------------------------------------
void Vehicle::setLeftSon(Vehicle *Son)
{
   LeftSon = Son;
}
//---------------------------------------------------------------------------
Vehicle *Vehicle::getLeftSon(void)
{
   return LeftSon;
}
//---------------------------------------------------------------------------
void Vehicle::setRightSon(Vehicle *Son)
{
   RightSon = Son;
}
//---------------------------------------------------------------------------
Vehicle *Vehicle::getRightSon(void)
{
   return RightSon;
}
//---------------------------------------------------------------------------
void Vehicle::getSPZ(char *SPZ)
{
   int i=0;

   while(this->SPZ[i] != '\0')
     {
        SPZ[i] = this->SPZ[i];
        i++;
     }
   SPZ[i] = '\0';
}
//---------------------------------------------------------------------------
void Vehicle::setIndex(int Id)
{
   Index = Id;
}
//---------------------------------------------------------------------------
int Vehicle::getIndex(void)
{
   return Index;
}
//---------------------------------------------------------------------------
