//===========================================================================
//    TECHNICKA UNIVERZITA KOSICE - Fakutla elektrotechniky a informatiky
//===========================================================================
// PREDMET: Programovcie techniky
// AUTOR:   Ladislav VASTAG
// VERZIA:  1.00                       UKONCENE: v Kosiciach 3. Maja. 2003
// SBORY:   prjCarbase.cpp    -   hlavn funkcia                            
//           Carbase.cpp       -   hlavn okno
//           Nastavenie.cpp    -   okno nastavenie
//           About.cpp         -   okno o tejto aplikacii
//           Prehlad.cpp       -   okno vypisu zaznamov
//           Zaradenie.cpp     -   okno zaradenia do evidencie
//           Vyhladane.cpp     -   okno vyhladania zznamu
//---------------------------------------------------------------------------
// OBSAH:
//   Riesenie zadania (uloha cislo 3) z predmetu Porogramovacie techniky.
//
// POPIS:
// Vytvorte databazu pre opravovnu aut. Pre evidenciu oprav je potrebne evi-
// dovat nasledovne polozky:
//
//    1.) Statnu poznavaciu znacku
//    2.) Typ vozidla (osobne, nakladne uzitkove)
//    3.) Znacku vozidla
//    4.) Farbu
//    5.) Stav motora (hodnotenie 1 - 5)
//    6.) Stav podvoku (hodnotenie 1 - 5)
//    7.) Stav interieru (hodnotenie 1 - 5)
//    8.) Stav elektrickeho prislusenstva (hodnotenie 1 - 5)
//    9.) Stav prevodovky (hodnotenie 1 - 5)
//    10.) Stav kolies (hodnotenie 1 - 5)
//    11.) Stav chladenia (hodnotenie 1 - 5)
//
// Vnutornu strukturu vytvorit za pomoci jednosmerneho zoznamu.
// Triedenie pomocou Shell sort.
// Vyhladavanie binarne.
//
//===========================================================================

#include <vcl.h>

#pragma hdrstop
USERES("prjCarbase.res");
USEFORM("Carbase.cpp", CarMain);
USEFORM("Nastavenie.cpp", frmNastavenie);
USEFORM("About.cpp", frmAbout);
USEFORM("Prehlad.cpp", frmPrehlad);
USEFORM("Zaradenie.cpp", frmZaradenie);
USEFORM("Vyhladanie.cpp", frmFindVehicle);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->Title = "CARBASE 1.00";
                 Application->CreateForm(__classid(TCarMain), &CarMain);
                 Application->CreateForm(__classid(TfrmNastavenie), &frmNastavenie);
                 Application->CreateForm(__classid(TfrmAbout), &frmAbout);
                 Application->CreateForm(__classid(TfrmZaradenie), &frmZaradenie);
                 Application->CreateForm(__classid(TfrmFindVehicle), &frmFindVehicle);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
