//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Nastavenie.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"


extern int SortKey;                //Urcuje kluc pre triedenie
extern int Order;                  //Urcuje tiredenie A-Z alebo Z-A
extern int Number;                //Pocet zaznamov generovanych generatorom
extern int UserSet;
extern char FileName[256];

TfrmNastavenie *frmNastavenie;

//---------------------------------------------------------------------------


__fastcall TfrmNastavenie::TfrmNastavenie(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TfrmNastavenie::FormShow(TObject *Sender)
{
  rgSortKey->ItemIndex = SortKey;
  rgOrder->ItemIndex = Order;
  pgcNastavenie->ActivePage = tbsTriedenie;
}
//---------------------------------------------------------------------------


void __fastcall TfrmNastavenie::btNastavStornoClick(TObject *Sender)
{
   frmNastavenie->Close();
}
//---------------------------------------------------------------------------

void __fastcall TfrmNastavenie::btNastavOKClick(TObject *Sender)
{
   SortKey = rgSortKey->ItemIndex;
   Order = rgOrder->ItemIndex;
   if(UserSet)
     {
        Number = atoi(edNumber->Text.c_str());
        strcpy(FileName, edFileName->Text.c_str());
     }
   else
     {
        Number = atoi(edDefNumber->Text.c_str());
        strcpy(FileName, edDefFileName->Text.c_str());
     }
   frmNastavenie->Close();
}
//---------------------------------------------------------------------------

void __fastcall TfrmNastavenie::rbDefaulSetClick(TObject *Sender)
{
  lbFileName->Enabled = false;
  lbNumber->Enabled = false;
  edFileName->Enabled = false;
  edNumber->Enabled = false;
  edFileName->Color = clBtnFace;
  edNumber->Color = clBtnFace;


  lbDefFileName->Enabled = true;
  lbDefNumber->Enabled = true;
  edDefFileName->Enabled = true;
  edDefNumber->Enabled = true;
  edDefFileName->Color = clWhite;
  edDefNumber->Color = clWhite;
  UserSet = 0;
}
//---------------------------------------------------------------------------

void __fastcall TfrmNastavenie::rbUserSetClick(TObject *Sender)
{
  lbDefFileName->Enabled = false;
  lbDefNumber->Enabled = false;
  edDefFileName->Enabled = false;
  edDefNumber->Enabled = false;
  edDefFileName->Color = clBtnFace;
  edDefNumber->Color = clBtnFace;

  lbFileName->Enabled = true;
  lbNumber->Enabled = true;
  edFileName->Enabled = true;
  edNumber->Enabled = true;
  edFileName->Color = clWhite;
  edNumber->Color = clWhite;
  UserSet = 1;
}
//---------------------------------------------------------------------------

